import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, p = (c, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? u(t, o) : t, n = c.length - 1, i; n >= 0; n--)
    (i = c[n]) && (e = (r ? i(t, o, e) : i(e)) || e);
  return r && e && m(t, o, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--eyeOn", this.class = "c-pieIcon c-pieIcon--eyeOn", this.name = "IconEyeOn";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--eyeOn"><path d="M12.016 4.789a5.338 5.338 0 0 0-8.032 0L1.06 8l2.923 3.211a5.337 5.337 0 0 0 8.032 0l2.923-3.21zm-.971 5.539a4.025 4.025 0 0 1-6.125 0L2.838 8l2.117-2.327a4.025 4.025 0 0 1 6.125 0L13.162 8zM6.303 6.303a2.406 2.406 0 1 0 3.395 0 2.38 2.38 0 0 0-3.395 0M8.77 8.77a1.085 1.085 0 0 1-1.54 0 1.094 1.094 0 1 1 1.54 0"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  h("icon-eye-on")
], s);
export {
  s as IconEyeOn
};
